Skip to content

Commit

Permalink
VFS structure changes:
Browse files Browse the repository at this point in the history
  * moved from lib/vfs/mc-vfs to lib/vfs;
  * split by directories for VFS-plugins and moved to src/vfs;
  * lib/vfs/vfs-impl.h was merged into lib/vfs/vfs.h.

Signed-off-by: Andrew Borodin <[email protected]>
Signed-off-by: Slava Zanko <[email protected]>
  • Loading branch information
slavaz committed Mar 21, 2011
1 parent d512649 commit 6c5f5bf
Show file tree
Hide file tree
Showing 192 changed files with 1,259 additions and 713 deletions.
8 changes: 4 additions & 4 deletions autogen.sh
Original file line number Diff line number Diff line change
Expand Up @@ -29,7 +29,7 @@ fi
cd "$srcdir"

# The autoconf cache (version after 2.52) is not reliable yet.
rm -rf autom4te.cache lib/vfs/mc-vfs/samba/autom4te.cache
rm -rf autom4te.cache src/vfs/smbfs/helpers/autom4te.cache

if test ! -d config; then
mkdir config
Expand Down Expand Up @@ -72,16 +72,16 @@ $AUTOMAKE -a
test -f Makefile.in || \
{ echo "automake failed to generate Makefile.in" >&2; exit 1; }

cd lib/vfs/mc-vfs/samba
cd src/vfs/smbfs/helpers
date -u >include/stamp-h.in

$AUTOHEADER
test -f include/config.h.in || \
{ echo "autoheader failed to generate lib/vfs/mc-vfs/samba/include/config.h.in" >&2; exit 1; }
{ echo "autoheader failed to generate src/vfs/smbfs/helpers/include/config.h.in" >&2; exit 1; }

$AUTOCONF
test -f configure || \
{ echo "autoconf failed to generate lib/vfs/mc-vfs/samba/configure" >&2; exit 1; }
{ echo "autoconf failed to generate src/vfs/smbfs/helpers/configure" >&2; exit 1; }
) || exit 1

$srcdir/maint/version.sh "$srcdir"
Expand Down
77 changes: 49 additions & 28 deletions configure.ac
Original file line number Diff line number Diff line change
Expand Up @@ -542,6 +542,53 @@ src/viewer/Makefile
src/diffviewer/Makefile
src/filemanager/Makefile
src/vfs/Makefile
src/vfs/cpio/Makefile
src/vfs/extfs/Makefile
src/vfs/extfs/helpers/Makefile
src/vfs/extfs/helpers/a+
src/vfs/extfs/helpers/apt+
src/vfs/extfs/helpers/audio
src/vfs/extfs/helpers/deb
src/vfs/extfs/helpers/deba
src/vfs/extfs/helpers/debd
src/vfs/extfs/helpers/dpkg+
src/vfs/extfs/helpers/iso9660
src/vfs/extfs/helpers/hp48+
src/vfs/extfs/helpers/lslR
src/vfs/extfs/helpers/mailfs
src/vfs/extfs/helpers/patchfs
src/vfs/extfs/helpers/rpms+
src/vfs/extfs/helpers/s3+
src/vfs/extfs/helpers/uace
src/vfs/extfs/helpers/ualz
src/vfs/extfs/helpers/uar
src/vfs/extfs/helpers/uarc
src/vfs/extfs/helpers/uarj
src/vfs/extfs/helpers/uc1541
src/vfs/extfs/helpers/uha
src/vfs/extfs/helpers/ulha
src/vfs/extfs/helpers/urar
src/vfs/extfs/helpers/uzip
src/vfs/extfs/helpers/uzoo
src/vfs/fish/Makefile
src/vfs/fish/helpers/Makefile
src/vfs/ftpfs/Makefile
src/vfs/local/Makefile
src/vfs/sfs/Makefile
src/vfs/smbfs/Makefile
src/vfs/tar/Makefile
src/vfs/undelfs/Makefile
lib/Makefile
lib/event/Makefile
lib/filehighlight/Makefile
Expand All @@ -550,35 +597,9 @@ lib/search/Makefile
lib/skin/Makefile
lib/strutil/Makefile
lib/tty/Makefile
lib/vfs/Makefile
lib/vfs/mc-vfs/Makefile
lib/vfs/mc-vfs/extfs/Makefile
lib/vfs/mc-vfs/extfs/a+
lib/vfs/mc-vfs/extfs/apt+
lib/vfs/mc-vfs/extfs/audio
lib/vfs/mc-vfs/extfs/deb
lib/vfs/mc-vfs/extfs/deba
lib/vfs/mc-vfs/extfs/debd
lib/vfs/mc-vfs/extfs/dpkg+
lib/vfs/mc-vfs/extfs/iso9660
lib/vfs/mc-vfs/extfs/hp48+
lib/vfs/mc-vfs/extfs/lslR
lib/vfs/mc-vfs/extfs/mailfs
lib/vfs/mc-vfs/extfs/patchfs
lib/vfs/mc-vfs/extfs/rpms+
lib/vfs/mc-vfs/extfs/s3+
lib/vfs/mc-vfs/extfs/uace
lib/vfs/mc-vfs/extfs/ualz
lib/vfs/mc-vfs/extfs/uar
lib/vfs/mc-vfs/extfs/uarc
lib/vfs/mc-vfs/extfs/uarj
lib/vfs/mc-vfs/extfs/uc1541
lib/vfs/mc-vfs/extfs/uha
lib/vfs/mc-vfs/extfs/ulha
lib/vfs/mc-vfs/extfs/urar
lib/vfs/mc-vfs/extfs/uzip
lib/vfs/mc-vfs/extfs/uzoo
lib/vfs/mc-vfs/fish/Makefile
lib/widget/Makefile
misc/syntax/Makefile
Expand Down
2 changes: 1 addition & 1 deletion lib/Makefile.am
Original file line number Diff line number Diff line change
Expand Up @@ -48,5 +48,5 @@ libmc_la_LIBADD = \
strutil/libmcstrutil.la \
skin/libmcskin.la \
tty/libmctty.la \
vfs/mc-vfs/libvfs-mc.la \
vfs/libmcvfs.la \
widget/libmcwidget.la
2 changes: 1 addition & 1 deletion lib/lock.c
Original file line number Diff line number Diff line change
Expand Up @@ -53,7 +53,7 @@
#include <stdlib.h>

#include "lib/global.h"
#include "lib/vfs/mc-vfs/vfs.h"
#include "lib/vfs/vfs.h"
#include "lib/util.h" /* tilde_expand() */
#include "lib/lock.h"
#include "lib/widget.h" /* query_dialog() */
Expand Down
2 changes: 1 addition & 1 deletion lib/mcconfig/common.c
Original file line number Diff line number Diff line change
Expand Up @@ -26,7 +26,7 @@
#include <errno.h> /* extern int errno */

#include "lib/global.h"
#include "lib/vfs/mc-vfs/vfs.h" /* mc_stat */
#include "lib/vfs/vfs.h" /* mc_stat */
#include "lib/util.h"
#include "lib/mcconfig.h"

Expand Down
2 changes: 1 addition & 1 deletion lib/mcconfig/paths.c
Original file line number Diff line number Diff line change
Expand Up @@ -32,7 +32,7 @@
#include "lib/global.h"
#include "lib/mcconfig.h"
#include "lib/fileloc.h"
#include "lib/vfs/mc-vfs/vfs.h"
#include "lib/vfs/vfs.h"

/*** global variables ****************************************************************************/

Expand Down
2 changes: 1 addition & 1 deletion lib/tty/key.c
Original file line number Diff line number Diff line change
Expand Up @@ -40,7 +40,7 @@
#include "lib/global.h"
#include "lib/strutil.h" /* str_casecmp */

#include "lib/vfs/mc-vfs/vfs.h"
#include "lib/vfs/vfs.h"

#include "tty.h"
#include "tty-internal.h" /* mouse_enabled */
Expand Down
2 changes: 1 addition & 1 deletion lib/util.c
Original file line number Diff line number Diff line change
Expand Up @@ -44,7 +44,7 @@
#include "lib/tty/win.h" /* xterm_flag */
#include "lib/mcconfig.h"
#include "lib/fileloc.h"
#include "lib/vfs/mc-vfs/vfs.h"
#include "lib/vfs/vfs.h"
#include "lib/strutil.h"
#include "lib/util.h"

Expand Down
2 changes: 1 addition & 1 deletion lib/utilunix.c
Original file line number Diff line number Diff line change
Expand Up @@ -52,7 +52,7 @@
#include <grp.h>

#include "lib/global.h"
#include "lib/vfs/mc-vfs/vfs.h" /* VFS_ENCODING_PREFIX */
#include "lib/vfs/vfs.h" /* VFS_ENCODING_PREFIX */
#include "lib/strutil.h" /* str_move() */
#include "lib/util.h"
#include "lib/widget.h" /* message() */
Expand Down
6 changes: 3 additions & 3 deletions lib/vfs/mc-vfs/COPYING.LGPL → lib/vfs/COPYING.LGPL
Original file line number Diff line number Diff line change
Expand Up @@ -9,7 +9,7 @@ covered by the terms of the GNU GPL.
Version 2, June 1991

Copyright (C) 1991 Free Software Foundation, Inc.
51 Franklin Street, Fifth Floor, Boston, MA 02110-1301 USA
51 Franklin Street, Fifth Floor, Boston, MA 02110-1301 USA
Everyone is permitted to copy and distribute verbatim copies
of this license document, but changing it is not allowed.

Expand Down Expand Up @@ -470,8 +470,8 @@ convey the exclusion of warranty; and each file should have at least the
Library General Public License for more details.

You should have received a copy of the GNU Library General Public
License along with this library; if not, write to the
Free Software Foundation, Inc., 51 Franklin Street, Fifth Floor,
License along with this library; if not, write to the
Free Software Foundation, Inc., 51 Franklin Street, Fifth Floor,
Boston, MA 02110-1301 USA.

Also add information on how to contact you by electronic and paper mail.
Expand Down
2 changes: 1 addition & 1 deletion lib/vfs/mc-vfs/HACKING → lib/vfs/HACKING
Original file line number Diff line number Diff line change
Expand Up @@ -84,7 +84,7 @@ smbfs no yes no no
undelfs no yes no yes


"*" means that this property should change during further development.
"*" means that this property should change during further development.
Mapping from inode to entry prevents implementing hard links. It is
permissible for directories, which cannot be hardlinked. Not loading
the full tree speeds up access to large archives and conserves memory.
Expand Down
16 changes: 15 additions & 1 deletion lib/vfs/Makefile.am
Original file line number Diff line number Diff line change
@@ -1 +1,15 @@
SUBDIRS = mc-vfs
noinst_LTLIBRARIES = libmcvfs.la

AM_CFLAGS = $(GLIB_CFLAGS) -I$(top_srcdir)

libmcvfs_la_SOURCES = \
vfs.c vfs.h \
direntry.c xdirentry.h \
utilvfs.c utilvfs.h \
gc.c gc.h

if ENABLE_VFS_NET
libmcvfs_la_SOURCES += netutil.c netutil.h
endif

EXTRA_DIST = HACKING README
File renamed without changes.
2 changes: 1 addition & 1 deletion lib/vfs/mc-vfs/direntry.c → lib/vfs/direntry.c
Original file line number Diff line number Diff line change
Expand Up @@ -47,7 +47,7 @@

#include "src/filemanager/layout.h" /* print_vfs_message */

#include "vfs-impl.h"
#include "vfs.h"
#include "utilvfs.h"
#include "xdirentry.h"
#include "gc.h" /* vfs_rmstamp */
Expand Down
2 changes: 1 addition & 1 deletion lib/vfs/mc-vfs/gc.c → lib/vfs/gc.c
Original file line number Diff line number Diff line change
Expand Up @@ -47,7 +47,7 @@
#include "src/filemanager/midnight.h" /* current_panel */
#include "src/filemanager/layout.h" /* get_current_type(), get_other_type() */

#include "vfs-impl.h"
#include "vfs.h"
#include "utilvfs.h"

#include "gc.h"
Expand Down
2 changes: 1 addition & 1 deletion lib/vfs/mc-vfs/gc.h → lib/vfs/gc.h
Original file line number Diff line number Diff line change
Expand Up @@ -6,7 +6,7 @@
#ifndef MC__VFS_GC_H
#define MC__VFS_GC_H

#include "vfs-impl.h"
#include "vfs.h"

/*** typedefs(not structures) and defined constants **********************************************/

Expand Down
11 changes: 0 additions & 11 deletions lib/vfs/mc-vfs/.gitignore

This file was deleted.

Loading

0 comments on commit 6c5f5bf

Please sign in to comment.